Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20775

Description

If I set a layer up with edit widget properties anything other than "Text Edit" this remains saved only as long as the workspace is open. 

Closing the workspace down and reopening it resets all widgets back to a default text edit setting without any multi-line options.

    1. I've only tested this on Mac as I don't have access to a windows machine with QGIS loaded.

OS X 10.10.3

QGIS installed from KyngChaos.com:

QGIS version    2.8.1-Wien    

QGIS code revision    

Compiled against Qt    4.8.6    

Running against Qt    4.8.6

Compiled against GDAL/OGR    1.11.2    

Running against GDAL/OGR    1.11.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    

Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.3.5    

SpatiaLite Version    4.2.0

QWT Version    6.0.2    

PROJ.4 Version    480

QScintilla2 Version    2.8.4

History

#1 - 2015-04-29 04:55 AM - Matthias Kuhn

Closing the workspace down and reopening it

Did you save and reload the project? That's where the settings are saved.

#2 - 2015-04-29 04:55 AM - Matthias Kuhn

- Status changed from Open to Feedback

#3 - 2015-05-20 05:34 AM - Jakob Hvitnov

- File testlayer.shp added
Tested on QGIS dev in Ubuntu 14.04 for every edit widget type with no issues.

All edit widgets selectors keep their selected state after saving the project, restarting QGIS and opening the project again.

Attached is the shape file used for testing this issue. - maybe a mac user can try it out?

#4 - 2015-06-03 01:44 PM - Jürgen Fischer

- Category set to Edit widget

#5 - 2015-11-10 03:52 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.

Files

testlayer.shp 100 Bytes 2015-05-20 Jakob Hvitnov
